org.apache.lucene.codecs.asserting

## Class AssertingCodec

- java.lang.Object
- - org.apache.lucene.codecs.Codec
  - - org.apache.lucene.codecs.FilterCodec
    - - org.apache.lucene.codecs.asserting.AssertingCodec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

Direct Known Subclasses:
  RandomCodec

    public class AssertingCodec
    extends FilterCodec

Acts like the default codec but with additional asserts.

### Field Summary

### Fields inherited from class org.apache.lucene.codecs.FilterCodec

`delegate`

### Constructor Summary

Constructors
Constructor and Description
`AssertingCodec()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DocValuesFormat` `docValuesFormat()`
`DocValuesFormat` `getDocValuesFormatForField(String field)` Returns the docvalues format that should be used for writing new segments of `field`.
`PostingsFormat` `getPostingsFormatForField(String field)` Returns the postings format that should be used for writing new segments of `field`.
`LiveDocsFormat` `liveDocsFormat()`
`NormsFormat` `normsFormat()`
`PointsFormat` `pointsFormat()`
`PostingsFormat` `postingsFormat()`
`StoredFieldsFormat` `storedFieldsFormat()`
`TermVectorsFormat` `termVectorsFormat()`
`String` `toString()`

### Methods inherited from class org.apache.lucene.codecs.FilterCodec

`compoundFormat, fieldInfosFormat, segmentInfoFormat`

### Methods inherited from class org.apache.lucene.codecs.Codec

`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AssertingCodec

    public AssertingCodec()

### Method Detail

#### postingsFormat

    public PostingsFormat postingsFormat()

Overrides:
  `postingsFormat` in class `FilterCodec`

#### termVectorsFormat

    public TermVectorsFormat termVectorsFormat()

Overrides:
  `termVectorsFormat` in class `FilterCodec`

#### storedFieldsFormat

    public StoredFieldsFormat storedFieldsFormat()

Overrides:
  `storedFieldsFormat` in class `FilterCodec`

#### docValuesFormat

    public DocValuesFormat docValuesFormat()

Overrides:
  `docValuesFormat` in class `FilterCodec`

#### normsFormat

    public NormsFormat normsFormat()

Overrides:
  `normsFormat` in class `FilterCodec`

#### liveDocsFormat

    public LiveDocsFormat liveDocsFormat()

Overrides:
  `liveDocsFormat` in class `FilterCodec`

#### pointsFormat

    public PointsFormat pointsFormat()

Overrides:
  `pointsFormat` in class `FilterCodec`

#### toString

    public String toString()

Overrides:
  `toString` in class `Codec`

#### getPostingsFormatForField

    public PostingsFormat getPostingsFormatForField(String field)

Returns the postings format that should be used for writing new segments of `field`. The default implementation always returns "Asserting"

#### getDocValuesFormatForField

    public DocValuesFormat getDocValuesFormatForField(String field)

Returns the docvalues format that should be used for writing new segments of `field`. The default implementation always returns "Asserting"